Skip to content
POST/{organizationId}/{mandateId}/booking/punchCards

Create punch card

Creates a new punch card for a given mandate

Required permissions:

  • mandate.read

  • punchCard.insert

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

namestringrequired

minLength: 1

maxLength: 40

pointsintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

activationStatusstringrequired

Options:

unpaidpartialpaid
descriptionstringoptional

Default: ""

maxLength: 140

Default: null

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/punchCards
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/punchCards' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "points": 1,
  "price": {
    "isNet": true,
    "price": 0,
    "taxCode": "string",
    "account": 1,
    "costCenter1": 1,
    "costCenter2": 1
  },
  "activationStatus": "unpaid"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}